#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-CGI
Version		:	4.54
Release		:	16.2.0.rel%{?dist}
Summary		:	Handle Common Gateway Interface requests and responses

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/distribution/CGI

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
CGI.pm is a stable, complete and mature solution for processing and preparing
HTTP requests and responses. Major features including processing form
submissions, file uploads, reading and writing cookies, query string
generation and manipulation, and processing and preparing HTTP headers. Some
HTML generation utilities are included as well.
 
CGI.pm performs very well in in a vanilla CGI.pm environment and also comes 
with built-in support for mod_perl and mod_perl2 as well as FastCGI.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README.md
%license LICENSE
%{_datadir}/perl5/core_perl/%{sname}.pm
%{_datadir}/perl5/core_perl/%{sname}.pod
%{_datadir}/perl5/core_perl/Fh.pm
%{_datadir}/perl5/core_perl/%{sname}/*.pm
%{_datadir}/perl5/core_perl/%{sname}/File/*.pm
%{_datadir}/perl5/core_perl/%{sname}/HTML/*.pm
%{_datadir}/perl5/core_perl/%{sname}/HTML/*.pod
%{_mandir}/man3/%{sname}.3.gz
%{_mandir}/man3/%{sname}::*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
